# $Revision: 1.10 $, $Date: 2011/07/26 19:40:04 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"

%define		pdir	Device
%define		pnam	USB
%include	/usr/lib/rpm/macros.perl
Summary:	Device::USB - Use libusb to access USB devices
Name:		perl-Device-USB
Version:	0.35
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/G/GW/GWADEJ/Device-USB-%{version}.tar.gz
# Source0-md5:	8ce79b0c26336dafd3d29f8cb534a925
URL:		http://search.cpan.org/dist/Device-USB/
%if "%{pld_release}" == "ac"
BuildRequires:	libusb-devel < 1.0
%else
BuildRequires:	libusb-compat-devel
%endif
BuildRequires:	perl-Inline
BuildRequires:	perl-Inline-C
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the C library libusb. This
library supports a relatively full set of functionality to access a
USB device. In addition to the libusb, functioality, Device::USB
provides a few convenience features that are intended to produce a
more Perl-ish interface.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# function names conflict with libusb-1.0
sed -e 's/libusb_/DeviceUSB_/g' -i lib/Device/USB.pm lib/Device/USB/Device.pm
rm USB.pm
ln -s lib/Device/USB.pm .

%build
export LIBUSB_LIBDIR="%{_libdir}"
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Device/*.pm
%{perl_vendorarch}/Device/USB
%attr(755,root,root) %{perl_vendorarch}/Device/dump_usb.pl
%dir %{perl_vendorarch}/auto/Device/USB
%{perl_vendorarch}/auto/Device/USB/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Device/USB/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Device-USB.spec,v $
Revision 1.10  2011/07/26 19:40:04  glen
- release 2

Revision 1.9  2011/07/26 19:39:34  glen
- up to 0.35, fixes segfaults on x86_64 platforms

Revision 1.8  2010/06/06 08:35:09  arekm
- release 2

Revision 1.7  2010/03/24 07:43:10  amateja
- updated to 0.33

Revision 1.6  2010/01/13 23:51:29  sparky
- BR compatible with Ac

Revision 1.5  2009/12/22 13:18:09  sparky
- change internal function prefix from libusb to DeviceUSB because they
  conflict with libusb-1.0

Revision 1.4  2009/12/22 00:25:58  sparky
- updated to 0.3
- BR: libusb-compat-devel instead of libusb-devel
- build fixes

Revision 1.3  2009/06/18 12:37:46  amateja
- updated to 0.29

Revision 1.2  2008/12/22 15:26:53  sparky
- not noarch

Revision 1.1  2008/12/22 15:18:11  sparky
- new
